Download it now!
Bug 132080 - elementary: Wrong Glyphs with Korean UI
Summary: elementary: Wrong Glyphs with Korean UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on: CJK-Korean
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2020-04-13 08:13 UTC by Rizal Muttaqin
Modified: 2020-04-30 14:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Wrong Korean Glyphs in elementary icons (101.22 KB, image/png)
2020-04-13 08:13 UTC, Rizal Muttaqin
Details
Attachment file is Korean Word processor HWP 2018's screenshot (175.37 KB, image/png)
2020-04-19 10:19 UTC, DaeHyun Sung
Details
Attachment file is Korean Word processor HWP 2018's font option screenshot (133.73 KB, image/png)
2020-04-19 10:20 UTC, DaeHyun Sung
Details
Attachment file is MS Word 2016 Korean Version's screenshot (124.78 KB, image/png)
2020-04-19 10:24 UTC, DaeHyun Sung
Details
Checked LibreOffice Daily Korean UI. Looks good (275.10 KB, image/png)
2020-04-19 12:05 UTC, DaeHyun Sung
Details
elementary with Korean locale (33.60 KB, image/png)
2020-04-27 08:37 UTC, Rizal Muttaqin
Details
MS Word 2016's Korean Vertical & horizontal Text setting UI (211.20 KB, image/png)
2020-04-30 08:32 UTC, DaeHyun Sung
Details
HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal Text setting UI (263.52 KB, image/png)
2020-04-30 08:33 UTC, DaeHyun Sung
Details
HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal Text setting UI (295.21 KB, image/png)
2020-04-30 08:33 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-04-13 08:13:42 UTC
Created attachment 159528 [details]
Wrong Korean Glyphs in elementary icons

elementary now has some localized icons (e.g for direct formatting like B,I,U). Unfortunately, for Korean UI, elementary use wrong glyphs (기) instead of 가. While other icon sets has the right glyphs.

Please change it.

버전: 6.4.2.2
빌드 번호: 1:6.4.2-0ubuntu0.18.04.3
CPU 스레드: 4; OS: Linux 4.20; UI 표현: 기본; VCL: kf5; 
지역 설정: id-ID (id_ID.UTF-8); UI-Language: ko-KR
Calc: threaded
Comment 1 Julien Nabet 2020-04-13 08:30:24 UTC
DaeHyun Sung: thought you might be interested in this one since it concerns Korean language.
Comment 2 Rizal Muttaqin 2020-04-13 08:52:53 UTC
(In reply to Julien Nabet from comment #1)
> DaeHyun Sung: thought you might be interested in this one since it concerns
> Korean language.

Thank you for referring. Although I have no knowledge about Korean, we have discussed it in LibO Telegram group.
Comment 3 Commit Notification 2020-04-14 06:47:21 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b8c2e08b68722972d65f08107d74ba4a10f713df

elementary: Fix for tdf#132080 Wrong Glyphs with Korean UI

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-04-14 07:39:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ee954c1fd7dd2a70e6ff36231f110ed23fa059bd

elementary: Fix for tdf#132080 Wrong Glyphs with Korean UI

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 DaeHyun Sung 2020-04-19 10:19:42 UTC
Created attachment 159700 [details]
Attachment file is Korean Word processor HWP 2018's screenshot

Attactment file is Korean Word processor HWP 2018's screenshot
Comment 6 DaeHyun Sung 2020-04-19 10:20:48 UTC
Created attachment 159701 [details]
Attachment file is Korean Word processor HWP 2018's font option screenshot

Attactment file is Korean Word processor HWP 2018's font option screenshot
Comment 7 DaeHyun Sung 2020-04-19 10:24:27 UTC
Created attachment 159703 [details]
Attachment file is MS Word 2016 Korean Version's screenshot

Attachment file is MS Word 2016 Korean Version's screenshot
Comment 8 DaeHyun Sung 2020-04-19 12:05:21 UTC
Created attachment 159711 [details]
Checked LibreOffice Daily Korean UI. Looks good

I installed the patched Daily build version on Windows

Link: https://dev-builds.libreoffice.org/daily/libreoffice-6-4/Win-x86_64@tb77-TDF/2020-04-18_10.11.54/

I checked LibreOffice Daily Korean UI. Looks good.
Comment 9 Rizal Muttaqin 2020-04-19 12:26:45 UTC
(In reply to DaeHyun Sung from comment #8)
> Created attachment 159711 [details]
> Checked LibreOffice Daily Korean UI. Looks good
> 
> I installed the patched Daily build version on Windows
> 
> Link:
> https://dev-builds.libreoffice.org/daily/libreoffice-6-4/Win-x86_64@tb77-TDF/
> 2020-04-18_10.11.54/
> 
> I checked LibreOffice Daily Korean UI. Looks good.

Would be great if you check all icon themes with different size (small, large, extra large)
Comment 10 Rizal Muttaqin 2020-04-27 08:37:31 UTC
Created attachment 159985 [details]
elementary with Korean locale

I confirm the glyph now right as expected


버전: 7.0.0.0.alpha0+
빌드 번호: 9e8bb8fa8a77665552db9c01cac1034d5040da7b
CPU 스레드: 4; OS: Linux 4.20; UI 표현: 기본; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-04-24_20:27:57
지역 설정: id-ID (id_ID.UTF-8); UI-Language: ko-KR
Calc: threaded
Comment 11 DaeHyun Sung 2020-04-30 08:30:19 UTC
I found wrong UI for Korean.

Vertical text setting Icon is wrong.
Comment 12 DaeHyun Sung 2020-04-30 08:32:17 UTC
Created attachment 160112 [details]
MS Word 2016's Korean Vertical & horizontal Text setting UI

MS Word 2016's Korean Vertical & horizontal  Text setting UI
Comment 13 DaeHyun Sung 2020-04-30 08:33:14 UTC
Created attachment 160113 [details]
HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal  Text setting UI

HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal  Text setting UI
Comment 14 DaeHyun Sung 2020-04-30 08:33:39 UTC
Created attachment 160114 [details]
HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal  Text setting UI

HWP(Hangul Word Processing) 2018's Korean Vertical & horizontal  Text setting UI
Comment 15 Rizal Muttaqin 2020-04-30 14:02:22 UTC
(In reply to DaeHyun Sung from comment #11)
> I found wrong UI for Korean.
> 
> Vertical text setting Icon is wrong.

This bug has no relation with your request as tdf#128689 is a more relevant bug. So I change the status again